<html>
<body>
<h1> 22_custom_sym: creating a custom symbol </h1>

<h2> Scope </h2>
<p>
Create a custom diode symbol with an embedded (inline) model card.

<h2> The schematics </h2>
<p>
<center>
<a href="22_custom_sym.rs"><img src="../../raw/22_custom_sym.svg" width=400px></a>
<br>Click the image to get the sch-rnd sheet; also requires this <a href="project.lht">project.lht</a> in the same directory</center>

<h2> Preparing for simulation </h2>
<p>
Draw the symbol the usual way, using lines, rectangles and {p t}
for placing terminals; select the objects, convert selection to symbol;
set the usual attributes (e.g. name on the symbol and on the terminals).
<p>
For spice simulation, set the following attributes:
<ul>
	<li> symbol attribute <b>spice/prefix</b> to <b>D</b>: for the simulation
	     this is a diode; this attribute lets the sheet name the symbol U1
	     still show spice a D component by prefixing the name with D_.
	<li> symbol attribute <b>spice/model_card</b> to
	     <b>.MODEL my_diode D (IS=2f RS=3.4 N=2.2)</b>:
	     this is how the model is specified inline, within the symbol, not
	     relying on external libs
	<li> terminal attribute <b>spice/pinnum</b>; the positive (anode) terminal
	     should be 1, the negative (cathode) should be 2.
</ul>
<p>
The inline model card option is useful for one-off symbols or for an easy
and quick way of tuning model parameters in test-bench schematics.

<p>
Simulation settings are similar to those used in
<a href="../sim/10_bjt_amp_tr/index.html">10_bjt_amp_tr</a>, except for
modifications: instead of using modifications, this circuit has a voltage
source symbol.

